#include <stdio.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#define PORT 1222
#define SERVER "keson.kibla.org"

int call_socket();

int main()
{
  int fd;
  fd_set rds;
  FILE *infil;
  char buff[64];
  
  fd=call_socket();
  if(!(infil=fopen("www.tmp","r")))
  {perror("fopen"); exit(1);}
  printf("socket opened\n");
  while(!feof(infil))
  {
    fread(buff,64,1,infil);
    write(fd,buff,64);
  }
  
  printf("header written\n");
  while(1)
  {
    FD_ZERO(&rds);
    FD_SET(fd,&rds);
    select(fd+1,&rds,NULL,NULL,NULL);
    read(fd,buff,1);
    puts(buff);
  }
  printf("data written\n");
  
  close(fd);

}

int call_socket()
{ struct sockaddr_in sa;
  struct hostent     *hp;
  int    a, s;
  if((hp=gethostbyname(SERVER))==NULL) {
	errno=ECONNREFUSED;
	return(-1); }
  bzero(&sa, sizeof(sa));
  bcopy(hp->h_addr, (char *)&sa.sin_addr, hp->h_length);
  sa.sin_family = hp->h_addrtype;
  sa.sin_port = htons((u_short)PORT);
  if((s=socket(hp->h_addrtype, SOCK_STREAM, 0)) < 0) return(-1);
  if(connect(s,(struct sockaddr *) &sa, sizeof(sa)) < 0) {
	close(s);
	return(-1); }
  return(s);
}

